Package com.treemap.swing.fastvoronoi.originalconvexhull

# Class Plane3D

java.lang.Object
com.treemap.swing.fastvoronoi.originalconvexhull.Plane3D

public class Plane3D extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final double`
  `a`
  Storing a plane in 3 dimensions in the form of: ax + bx +cx +d=0
  `final double`
  `b`
  `final double`
  `c`
  `final double`
  `d`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Plane3D(Facet jFace)`
  `Plane3D(Point3d p1, Point3d p2, Point3d p3)`
  Computation of the plane from three points, see http://paulbourke.net/geometry/planeeq/

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Point2D`
  `getDualPointMappedToPlane()`
  This is a bijectiv function between planes (non vertical) and points, see delta(h) function in [Aurenhammer,1987], Power Diagrams: Properties, Algorithms and Applications
  `protected double[]`
  `getNormZPlane()`
  Return z- normalized plane, which looks as follow: h: z=ax + by + c a=array[0] b=array[1] c=array[2]

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### a

    public final double a
    Storing a plane in 3 dimensions in the form of: ax + bx +cx +d=0

  - ### b

    public final double b

  - ### c

    public final double c

  - ### d

    public final double d

- ## Constructor Details

  - ### Plane3D

    public Plane3D(Point3d p1, Point3d p2, Point3d p3)
    Computation of the plane from three points, see http://paulbourke.net/geometry/planeeq/
    Parameters:
      `p1` -
      `p2` -
      `p3` -

  - ### Plane3D

    public Plane3D(Facet jFace)

- ## Method Details

  - ### getNormZPlane

    protected double[] getNormZPlane()
    Return z- normalized plane, which looks as follow: h: z=ax + by + c a=array[0] b=array[1] c=array[2]
    Returns:

  - ### getDualPointMappedToPlane

    public Point2D getDualPointMappedToPlane()
    This is a bijectiv function between planes (non vertical) and points, see delta(h) function in [Aurenhammer,1987], Power Diagrams: Properties, Algorithms and Applications
    Returns: